#!/usr/bin/perl
#
# Show packages that are in 8.0 but not in -current
#
@eight = `cat data/pkg_80`;
@two = `cat data/80_to_current.txt`;

chomp @eight;
chomp @two;

foreach $file (@eight) {
	$file =~ s|\.tgz||;
	$file =~ s|./||;
	$packs{"$file"}=1;
}

foreach $line (@two) {
	$line =~ s/^\s+//;
	$line =~ s/\s+$//;
	next if $line =~ /^#/;
	next if $line eq "";
	@tmp = split("\t",$line);
	$file = $tmp[1];
	$packs{$file} = 2;
}

foreach $file (sort keys %packs) {
	if ($packs{$file} != 2) {
		print "$file\n";
	}
}
